Delete a instance configuration
- DELETE /platform/configuration/instances/{id}
Delete the instance configuration with the given id.
Path Parameters
-
idstringrequired -
ID of the instance configuration
Query Parameters
-
versioninteger This is a database-level field, not related to the application-level 'config_version', except as described in the following docs. If specified, checks for conflicts against 'x-cloud-resource-version' from the GET request (the GET's 'config_version' should be left blank if the IC is configuration controlled, ie to get the latest configuration)
-
only_test_versionboolean If true, the testing version (version -1) will be permanently deleted but the latest IC version will remain untouched. Defaults to false
Responses
Instance configuration specified by {id} was deleted
Response Type: EmptyResponse
Instance configuration specified by {id} is system owned (code: 'configuration.system_owned')
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Instance configuration specified by {id} cannot be found or the operation failed (code: 'configuration.instance_configuration_not_found')
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request